import request from '@/utils/request'

// 查询会员记录列表
export function listMember(query) {
  return request({
    url: '/back/user/list',
    method: 'get',
    params: query
  })
}

// 查询会员记录详细
export function getMember(id) {
  return request({
    url: '/back/member/' + id,
    method: 'get'
  })
}

// 新增会员记录
export function addMember(data) {
  return request({
    url: '/back/member/add',
    method: 'post',
    data: data
  })
}

// 修改会员记录
export function updateMember(data) {
  return request({
    url: '/back/member/update',
    method: 'post',
    data: data
  })
}

// 删除会员记录
export function delMember(id) {
  return request({
    url: '/back/member/' + id,
    method: 'delete'
  })
}
